Index: Makefile.am
===================================================================
--- Makefile.am	(revision e44956108f0bb594c7954211e93c2d0afcd3d523)
+++ Makefile.am	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
@@ -1,4 +1,4 @@
 ACLOCAL_AMFLAGS = -I m4
-SUBDIRS = LinearAlgebra src src/unittests tests utils doc
+SUBDIRS = LinearAlgebra src/Fragmentation/Automation src src/unittests tests utils doc
 
 AUTOMAKE_OPTIONS = subdir-objects
Index: configure.ac
===================================================================
--- configure.ac	(revision e44956108f0bb594c7954211e93c2d0afcd3d523)
+++ configure.ac	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
@@ -162,4 +162,5 @@
 
 # Boost headers with libraries
+BOOST_ASIO
 BOOST_FILESYSTEM
 BOOST_PROGRAM_OPTIONS
@@ -296,4 +297,8 @@
 	src/unittests/Makefile
 ])
+AC_CONFIG_FILES([
+	src/Fragmentation/Automation/Makefile
+])
+
 # produce python scripts and tests only when python's present
 AM_COND_IF([CONDPYTHON],[
@@ -305,3 +310,4 @@
 	AC_CONFIG_FILES([tests/Python/Makefile])
 ])
+
 AC_OUTPUT
Index: src/Fragmentation/Automation/Makefile.am
===================================================================
--- src/Fragmentation/Automation/Makefile.am	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
+++ src/Fragmentation/Automation/Makefile.am	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
@@ -0,0 +1,28 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+MOSTLYCLEANFILES =
+bin_PROGRAMS =
+
+AM_LDFLAGS = -ldl ${BOOST_LDFLAGS}
+AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
+
+WORKERSOURCE = \
+  Worker.cpp
+  
+WORKERHEADER = 
+
+INCLUDES = -I$(top_srcdir)/src/unittests -I$(top_srcdir)/src/Actions -I$(top_srcdir)/src/UIElements -I$(top_srcdir)/LinearAlgebra/src
+
+bin_PROGRAMS += worker
+
+worker_CXXFLAGS = $(AM_CPPFLAGS) 
+worker_LDFLAGS = $(AM_LDFLAGS) $(BOOST_PROGRAM_OPTIONS_LDFLAGS) $(BOOST_ASIO_LDFLAGS) $(BOOST_SYSTEM_LDFLAGS) $(BOOST_THREAD_LDFLAGS)
+worker_SOURCES = $(WORKERSOURCE) $(WORKERHEADER) 
+worker_LDADD = \
+  ${CodePatterns_LIBS} \
+  $(BOOST_THREAD_LIBS) \
+  $(BOOST_PROGRAM_OPTIONS_LIBS) \
+  $(BOOST_ASIO_LIBS) \
+  $(BOOST_SYSTEM_LIBS)
+
Index: src/Fragmentation/Automation/Worker.cpp
===================================================================
--- src/Fragmentation/Automation/Worker.cpp	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
+++ src/Fragmentation/Automation/Worker.cpp	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
@@ -0,0 +1,38 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * \file Worker.cpp
+ *
+ * This is the
+ *
+ *  Created on: Oct 19, 2011
+ *      Author: heber
+ */
+
+#include <iostream>
+#include <boost/asio.hpp>
+
+#include <boost/date_time/posix_time/posix_time.hpp>
+
+
+int main(int argc, char **argv)
+{
+  boost::asio::io_service io;
+
+  boost::asio::deadline_timer t(io, boost::posix_time::seconds(5));
+
+  std::cout << "Deadline timer will now wait for 5 seconds." << std::endl;
+
+  t.wait();
+
+  std::cout << "Deadline timer is done." << std::endl;
+
+  std::cout << "Hello World!" << std::endl;
+
+  return 0;
+}
Index: tests/CodeChecks/testsuite-config_h.at
===================================================================
--- tests/CodeChecks/testsuite-config_h.at	(revision e44956108f0bb594c7954211e93c2d0afcd3d523)
+++ tests/CodeChecks/testsuite-config_h.at	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
@@ -1,5 +1,5 @@
 AT_SETUP([Checking for present config.h include])
 AT_KEYWORDS([CodeCheck config_h])
-ok="unity.cpp AllActionHeaders.hpp AllActionPython.hpp pugiconfig.hpp pugixml.cpp pugixml.hpp"
+ok="unity.cpp AllActionHeaders.hpp AllActionPython.hpp pugiconfig.hpp pugixml.cpp pugixml.hpp Worker.cpp"
 echo `pwd`
 echo "${#ok[*]} are ok to not contain config.h: ${ok[*]}."
Index: tests/CodeChecks/testsuite-memdebug.at
===================================================================
--- tests/CodeChecks/testsuite-memdebug.at	(revision e44956108f0bb594c7954211e93c2d0afcd3d523)
+++ tests/CodeChecks/testsuite-memdebug.at	(revision d0b3acad3e369a36eebdac29b1682a4b45be2baf)
@@ -1,5 +1,5 @@
 AT_SETUP([Checking for present MemDebug.hpp include])
 AT_KEYWORDS([CodeCheck MemDebug])
-ok="builder.cpp MemDebug.cpp SubspaceFactorizer.cpp TestRunner.cpp unity.cpp pugixml.cpp"
+ok="builder.cpp MemDebug.cpp SubspaceFactorizer.cpp TestRunner.cpp unity.cpp pugixml.cpp Worker.cpp"
 echo `pwd`
 echo "${#ok[*]} are ok to not contain MemDebug.hpp: ${ok[0]} ${ok[1]}."
